import { m, K as h, o as v } from "./index-162fd1aa.mjs";
const P = m.enum(["Pending", "InProgress", "Completed", "Canceled", "Failed", "Expired"]), g = () => {
  const {
    accountOverview: s,
    profile: i,
    changePassword: r,
    linkedAccounts: o,
    purchasedItems: t,
    subscription: a,
    orderHistory: c,
    paymentMethods: n,
    redeemCode: d,
    notification: l,
    privacyRecords: f,
    personalData: p,
    deleteAccount: u
  } = v;
  let e = "/account/";
  if (s())
    e += "overview";
  else if (i())
    e += "profile";
  else if (r())
    e += "change-password";
  else if (o())
    e += "linked-accounts";
  else if (t())
    e += "purchased-items";
  else if (a())
    e += "subscription";
  else if (c())
    e += "order-history";
  else if (n())
    e += "payment-methods";
  else if (d())
    e += "redeem-code";
  else if (l())
    e += "notification-preferences";
  else if (f())
    e += "privacy-records";
  else if (p())
    e += "personal-data";
  else if (u())
    e += "account-deletion";
  else
    return h.Error404.makePath();
  return e;
};
export {
  P as D,
  g as a
};
